### Method

# Fwupd Device has_guid

#### Declaration [src]

    gboolean
    fwupd_device_has_guid (
      FwupdDevice* self,
      const gchar* guid
    )

#### Description [src]

Finds out if the device has this specific GUID.

Available since: | 0.9.3

#### Parameters

`guid` | `const gchar*`
| The GUID, e.g. `2082b5e0-7a64-478a-b1b2-e3404fab6dad`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the GUID is found.